# synfig::Target_Null_Tile Class Reference

A target which renders to nothing using tiles. Useful for benchmarks and other tests. More...

`#include <target_null_tile.h>`

Inheritance diagram for synfig::Target_Null_Tile:

List of all members.

## Public Member Functions

| ~Target_Null_Tile ()
virtual bool | add_tile (const synfig::Surface &, int, int)
| Adds the tile at x , y contained in surface.
virtual bool | start_frame (ProgressCallback *=NULL)
| Marks the start of a frame.
virtual void | end_frame ()
| Marks the end of a frame.

## Static Public Member Functions

static Target * | create (const char *=0)

## Detailed Description

A target which renders to nothing using tiles. Useful for benchmarks and other tests.

Todo:
  writeme

## Constructor & Destructor Documentation

synfig::Target_Null_Tile::~Target_Null_Tile | ( |  | ) | `[inline]`

## Member Function Documentation

virtual bool synfig::Target_Null_Tile::add_tile | ( | const synfig::Surface & | surface,
|  | int | x,
|  | int | y |
| ) |  |  | `[inline, virtual]`

Adds the tile at x , y contained in surface.

Implements synfig::Target_Tile.

virtual bool synfig::Target_Null_Tile::start_frame | ( | ProgressCallback * | cb = `NULL` | ) | `[inline, virtual]`

Marks the start of a frame.

Returns:
  `true` on success, `false` upon an error.

See also:
  end_frame(), start_scanline()

Implements synfig::Target_Tile.

virtual void synfig::Target_Null_Tile::end_frame | ( |  | ) | `[inline, virtual]`

Marks the end of a frame.

See also:
  start_frame()

Implements synfig::Target_Tile.

static Target* synfig::Target_Null_Tile::create | ( | const char * | = `0` | ) | `[inline, static]`

Referenced by synfig::Target::subsys_init().

The documentation for this class was generated from the following file:

- target_null_tile.h